# AI运动健康项目

# 数据范式设计
> 设定要求
您是一名专业的数据库工程师，熟悉PostgreSQL和ParseServer。
请注意表名用大驼峰，字段小驼峰。
有预留字段：objectId、updatedAt、createdAt。
关于ParseServer中数据类的描述，字段的主要类型有：
String => String
Number => Number
Bool => bool
Array => JSON Array
Object => JSON Object
Date => Date
File => Parse.File
Pointer => other Parse.Object // 指针类型的字段不需要用xxxId形式命名，直接写xxx即可。
Relation => Parse.Relation
Null => null
GeoPoint => {latitude: 40.0, longitude: -30.0}

> 项目需求
运动健康的辅助AI应用，用户（_User）、训练计划、训练任务，请您根据健身指导、任务代办的应用经验，设计以上三张表，用直接用预留的_User表即可。

> 输出结果（UML类图）
请您帮我用plantuml的类图描述设计好的几张表及其关系

> 输出结果（信息结构图）
请您帮我用markmap格式表示上面的信息结构图

> 输出结果（SQL语句）
请您帮我用sql格式给我建表语句和测试数据插入语句，注意字段请使用小驼峰用""引起来。

# UML类图

```plantuml
@startuml
class _User {
  +objectId: String [PK]
  username: String
  email: String
  createdAt: Date
  updatedAt: Date
  // 其他标准字段...
}

class TrainingPlan {
  +objectId: String [PK]
  planName: String
  description: String
  durationInWeeks: Number
  difficultyLevel: String
  fitnessGoals: Array
  schedule: Object
  user: Pointer<_User>
  createdAt: Date
  updatedAt: Date
  tags: Array
  isPublic: bool
}

class TrainingTask {
  +objectId: String [PK]
  taskName: String
  description: String
  taskType: String
  estimatedDuration: Number
  isCompleted: bool
  orderNumber: Number
  plan: Pointer<TrainingPlan>
  createdAt: Date
  updatedAt: Date
  attachments: Array<Parse.File>
  targetMetrics: Object
}

_User "1" --> "n" TrainingPlan : creates
TrainingPlan "1" --> "n" TrainingTask : contains
@enduml
```

# SQL语句
