import { Component } from '@angular/core';
import { CommonModule } from '@angular/common'; 
import { 
  IonBackButton, 
  IonMenuButton,
  IonHeader,
  IonToolbar,
  IonButtons,
  IonTitle,
  IonContent,
  IonSearchbar,
  IonCard,
  IonCardHeader,
  IonCardTitle,
  IonCardSubtitle,
  IonCardContent,
  IonGrid,
  IonRow,
  IonCol,
  IonButton,
  IonIcon,
  IonList,
  IonItem,
  IonThumbnail,
  IonLabel,
  IonBadge
} from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';
import { 
  bicycleOutline, 
  walkOutline, 
  barbellOutline, 
  playCircleOutline,
  tvOutline,
  trophyOutline,
  flameOutline
} from 'ionicons/icons';

@Component({
  selector: 'app-tab3',
  templateUrl: './tab3.page.html',
  styleUrls: ['./tab3.page.scss'],
  standalone: true,
  imports: [
    CommonModule,
    IonBackButton, 
    IonMenuButton,
    IonHeader,
    IonToolbar,
    IonButtons,
    IonTitle,
    IonContent,
    IonSearchbar,
    IonCard,
    IonCardHeader,
    IonCardTitle,
    IonCardSubtitle,
    IonCardContent,
    IonGrid,
    IonRow,
    IonCol,
    IonButton,
    IonIcon,
    IonList,
    IonItem,
    IonThumbnail,
    IonLabel,
    IonBadge
  ]
})
export class Tab3Page {
  categories: any[] = [
    { id: 'running', name: '跑步', icon: 'walkOutline', color: 'danger' },
    { id: 'walking', name: '健走', icon: 'walkOutline', color: 'success' },
    { id: 'cycling', name: '骑行', icon: 'bicycleOutline', color: 'primary' },
    { id: 'fitness', name: '健身', icon: 'barbellOutline', color: 'tertiary' }
  ];

  courses: any = {
    running: [
      { 
        title: '新手五公里达成计划', 
        desc: '新手跑者里程碑', 
        image: 'https://images.unsplash.com/photo-1517649763962-0c623066013b?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '4周',
        level: '初级'
      },
      { 
        title: '10公里进阶训练', 
        desc: '突破你的极限', 
        image: 'https://images.unsplash.com/photo-1518611012118-696072aa579a?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '8周',
        level: '中级'
      },
      { 
        title: '跑步热身与拉伸', 
        desc: '避免运动伤害', 
        image: 'https://images.unsplash.com/photo-1538805060514-97d9cc17730c?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '1周',
        level: '初级'
      },
      { 
        title: '马拉松备战计划', 
        desc: '42.195公里挑战', 
        image: 'https://images.unsplash.com/photo-1552674605-db6ffd4facb5?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '16周',
        level: '高级'
      }
    ],
    walking: [
      { 
        title: '基础健走入门', 
        desc: '正确的健走姿势', 
        image: 'https://images.unsplash.com/photo-1543351611-58f69d7c1781?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '2周',
        level: '初级'
      },
      { 
        title: '北欧健走法', 
        desc: '使用健走杖更有效', 
        image: 'https://images.unsplash.com/photo-1488646953014-85cb44e25828?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '4周',
        level: '中级'
      },
      { 
        title: '山地健走技巧', 
        desc: '征服不同地形', 
        image: 'https://images.unsplash.com/photo-1544367567-0f2fcb009e0b?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '3周',
        level: '中级'
      },
      { 
        title: '健走燃脂计划', 
        desc: '高效燃烧卡路里', 
        image: 'https://images.unsplash.com/photo-1541534741688-6078c6bfb5c5?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '6周',
        level: '中级'
      }
    ],
    cycling: [
      { 
        title: '城市骑行入门', 
        desc: '安全骑行指南', 
        image: 'https://images.unsplash.com/photo-1488646953014-85cb44e25828?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '3周',
        level: '初级'
      },
      { 
        title: '山地骑行技巧', 
        desc: '征服崎岖地形', 
        image: 'https://images.unsplash.com/photo-1507035895480-2b3156c31fc8?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '6周',
        level: '中级'
      },
      { 
        title: '公路骑行训练', 
        desc: '提升速度与耐力', 
        image: 'https://images.unsplash.com/photo-1471506480208-91b3a4cc78be?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '8周',
        level: '高级'
      },
      { 
        title: '自行车维护保养', 
        desc: '让你的爱车保持最佳状态', 
        image: 'https://images.unsplash.com/photo-1532298229144-0ec0c57515c7?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '2周',
        level: '初级'
      }
    ],
    fitness: [
      { 
        title: '家庭健身计划', 
        desc: '无需器械也能练', 
        image: 'https://images.unsplash.com/photo-1571019613454-1cb2f99b2d8b?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '4周',
        level: '初级'
      },
      { 
        title: '增肌训练指南', 
        desc: '打造完美肌肉线条', 
        image: 'https://images.unsplash.com/photo-1538805060514-97d9cc17730c?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '12周',
        level: '高级'
      },
      { 
        title: '核心力量训练', 
        desc: '打造坚实腹肌', 
        image: 'https://images.unsplash.com/photo-1571019614242-c5c5dee9f50b?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '6周',
        level: '中级'
      },
      { 
        title: '高强度间歇训练', 
        desc: '快速燃脂塑形', 
        image: 'https://images.unsplash.com/photo-1517344884509-a0c97ec11bcc?ixlib=rb-1.2.1&auto=format&fit=crop&w=500&q=80',
        duration: '4周',
        level: '中级'
      }
    ]
  };

  constructor() {
    addIcons({ 
      bicycleOutline, 
      walkOutline, 
      barbellOutline,
      playCircleOutline,
      tvOutline,
      trophyOutline,
      flameOutline
    });
  }
}