import { bootstrapApplication } from '@angular/platform-browser';
import { RouteReuseStrategy, provideRouter, withPreloading, PreloadAllModules } from '@angular/router';
import { IonicRouteStrategy, provideIonicAngular } from '@ionic/angular/standalone';
import { addIcons } from 'ionicons';

// 1. 导入所有需要的图标
import { 
  walkOutline, bodyOutline, footstepsOutline, flameOutline,
  videocamOutline, trophyOutline, statsChartOutline, cartOutline,
  notificationsOutline, trendingUpOutline, podiumOutline, starOutline,
  alarmOutline, peopleOutline,  searchOutline,
  ellipsisHorizontalOutline, playOutline, timeOutline, barbellOutline,
  heartOutline, settingsOutline, personOutline, homeOutline,
  fitnessOutline, listOutline, flashOutline, bicycleOutline
} from 'ionicons/icons';

import { routes } from './app/app.routes';
import { AppComponent } from './app/app.component';

// fmode-ng依赖的服务
import { provideHttpClient } from '@angular/common/http';
import { Diagnostic } from '@awesome-cordova-plugins/diagnostic/ngx';
// 设置Parse服务属性
import Parse from "parse";
Parse.initialize("ncloudmaster");
Parse.serverURL = "https://server.fmode.cn/parse";
localStorage.setItem("NOVA_APIG_SERVER", 'aHR0cHMlM0ElMkYlMkZzZXJ2ZXIuZm1vZGUuY24lMkZhcGklMkZhcGlnJTJG')


// 2. 注册所有图标
addIcons({
  walkOutline, bodyOutline, footstepsOutline, flameOutline,
  videocamOutline, trophyOutline, statsChartOutline, cartOutline,
  notificationsOutline, trendingUpOutline, podiumOutline, starOutline,
  alarmOutline, peopleOutline,  searchOutline,
  ellipsisHorizontalOutline, playOutline, timeOutline, barbellOutline,
  heartOutline, settingsOutline, personOutline, homeOutline,
  fitnessOutline, listOutline, flashOutline, bicycleOutline
});

// 3. 启动应用
bootstrapApplication(AppComponent, {
  providers: [
    { provide: RouteReuseStrategy, useClass: IonicRouteStrategy },
    provideIonicAngular(),
    provideRouter(routes, withPreloading(PreloadAllModules)),
    // fmode-ng依赖的服务
    provideHttpClient(),
    Diagnostic,
  ],
});